com.independentsoft.exchange

## Class ExpandDistributionListResponse

- java.lang.Object
- - com.independentsoft.exchange.Response
  - - com.independentsoft.exchange.ExpandDistributionListResponse

-     public class ExpandDistributionListResponse
      extends Response

  Contains the status and result of a single ExpandDL Operation request.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAbsoluteDenominator()` Gets the next denominator to use for the next request when doing fractional paging.
    `boolean` | `getIncludesLastItemInRange()` Gets that additional paging is not needed.
    `int` | `getIndexedPagingOffset()` Gets the next index that should be used for the next request when an indexed paging view is used.
    `java.util.List<Mailbox>` | `getMailboxes()` Gets the mailboxes.
    `int` | `getNumeratorOffset()` Gets the new numerator value to use for the next request when fraction page views are used.
    `int` | `getTotalItemsInView()` Gets the total number of items that pass the restriction.

    - ### Methods inherited from class com.independentsoft.exchange.Response

      `getDescriptiveLinkKey, getMessage, getResponseClass, getResponseCode, getServerVersionInfo, getXmlMessage, setServerVersionInfo`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getIndexedPagingOffset

          public int getIndexedPagingOffset()

      Gets the next index that should be used for the next request when an indexed paging view is used.
      Returns:
        the indexed paging offset

    - #### getNumeratorOffset

          public int getNumeratorOffset()

      Gets the new numerator value to use for the next request when fraction page views are used.
      Returns:
        the numerator offset

    - #### getAbsoluteDenominator

          public int getAbsoluteDenominator()

      Gets the next denominator to use for the next request when doing fractional paging.
      Returns:
        the absolute denominator

    - #### getIncludesLastItemInRange

          public boolean getIncludesLastItemInRange()

      Gets that additional paging is not needed.
      Returns:
        the includes last item in range

    - #### getTotalItemsInView

          public int getTotalItemsInView()

      Gets the total number of items that pass the restriction.
      Returns:
        the total items in view

    - #### getMailboxes

          public java.util.List<Mailbox> getMailboxes()

      Gets the mailboxes.
      Returns:
        the mailboxes